/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/velocity/tags/velocity-2.9.0-rc01/tool/src/java/org/sakaiproject/cheftool/EnumerationIterator.java $
 * $Id: EnumerationIterator.java 59691 2009-04-03 23:46:45Z arwhyte@umich.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004, 2005, 2006, 2008 The Sakai Foundation
 *
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.cheftool;

import java.util.Enumeration;
import java.util.Iterator;

/**
 * <p>
 * EnumerationIterator is an iterator over an enumeration.
 * </p>
 */
public class EnumerationIterator implements Iterator
{
	/** The enumeration over which this iterates. */
	protected Enumeration m_enum = null;

	public EnumerationIterator(Enumeration e)
	{
		m_enum = e;

	} // EnumerationIterator

	public Object next()
	{
		return m_enum.nextElement();
	}

	public boolean hasNext()
	{
		return m_enum.hasMoreElements();
	}

	public void remove()
	{
		throw new UnsupportedOperationException();
	}

} // EnumerationIterator

